SDL_WindowData Struct Reference

`#include <SDL_androidwindow.h>`

Inheritance diagram for SDL_WindowData:
[legend]
Collaboration diagram for SDL_WindowData:
[legend]

## Data Fields

EGLSurface | egl_surface
EGLContext | egl_context
ANativeWindow * | native_window
SDL_Window * | window
NSWindow * | nswindow
NSMutableArray * | nscontexts
SDL_bool | created
SDL_bool | inWindowMove
Cocoa_WindowListener * | listener
struct SDL_VideoData * | videodata
SDL_Surface * | surface
float | pixel_ratio
SDL_bool | external_size
int | requested_fullscreen_mode
SDL_bool | fullscreen_resize
SDL_bool | finger_touching
SDL_FingerID | first_finger
SDL_bool | has_pointer_lock
struct gbm_surface * | gs
struct gbm_bo * | current_bo
struct gbm_bo * | next_bo
SDL_bool | waiting_for_flip
SDL_bool | crtc_ready
SDL_bool | double_buffer
SDL_bool | uses_gles
EGLConfig | gles_configs [32]
EGLint | gles_config
EGLContext | gles_context
EGLint | gles_attributes [256]
EGLSurface | gles_surface
EGL_DISPMANX_WINDOW_T | dispman_window
SDL_cond * | vsync_cond
SDL_mutex * | vsync_cond_mutex
EGLNativeWindowType | native_window
SDL_Window * | sdlwindow
SDL_VideoData * | waylandData
struct wl_surface * | surface
union {
SDL_zxdg_shell_surface zxdg
struct wl_shell_surface * wl
} | shell_surface
struct wl_egl_window * | egl_window
struct SDL_WaylandInput * | keyboard_device
struct zwp_locked_pointer_v1 * | locked_pointer
HWND | hwnd
HWND | parent
HDC | hdc
HDC | mdc
HINSTANCE | hinstance
HBITMAP | hbm
WNDPROC | wndproc
WPARAM | mouse_button_flags
SDL_bool | initializing
SDL_bool | expected_resize
SDL_bool | in_border_change
SDL_bool | in_title_click
Uint8 | focus_click_pending
SDL_bool | windowed_mode_was_maximized
SDL_bool | in_window_deactivation
Window | xwindow
Window | fswindow
Visual * | visual
Colormap | colormap
SDL_bool | use_mitshm
XShmSegmentInfo | shminfo
XImage * | ximage
GC | gc
XIC | ic
int | border_left
int | border_right
int | border_top
int | border_bottom
Uint32 | last_focus_event_time
PendingFocusEnum | pending_focus
Uint32 | pending_focus_time
XConfigureEvent | last_xconfigure
unsigned long | user_time
Atom | xdnd_req
Window | xdnd_source

## Properties

UIWindow * | uiwindow
SDL_uikitviewcontroller * | viewcontroller
NSMutableArray * | views

## Detailed Description

Definition at line 35 of file SDL_androidwindow.h.

## Field Documentation

## border_bottom

int SDL_WindowData::border_bottom

Definition at line 62 of file SDL_x11window.h.

## border_left

int SDL_WindowData::border_left

Definition at line 59 of file SDL_x11window.h.

## border_right

int SDL_WindowData::border_right

Definition at line 60 of file SDL_x11window.h.

## border_top

int SDL_WindowData::border_top

Definition at line 61 of file SDL_x11window.h.

## colormap

Colormap SDL_WindowData::colormap

Definition at line 49 of file SDL_x11window.h.

## created

SDL_bool SDL_WindowData::created

Definition at line 117 of file SDL_cocoawindow.h.

## crtc_ready

SDL_bool SDL_WindowData::crtc_ready

Definition at line 66 of file SDL_kmsdrmvideo.h.

## current_bo

struct gbm_bo* SDL_WindowData::current_bo

Definition at line 63 of file SDL_kmsdrmvideo.h.

## dispman_window

EGL_DISPMANX_WINDOW_T SDL_WindowData::dispman_window

Definition at line 47 of file SDL_rpivideo.h.

## double_buffer

SDL_bool SDL_WindowData::double_buffer

Definition at line 67 of file SDL_kmsdrmvideo.h.

## egl_context

EGLContext SDL_WindowData::egl_context

Definition at line 38 of file SDL_androidwindow.h.

## egl_surface

EGLSurface SDL_WindowData::egl_surface

Definition at line 37 of file SDL_androidwindow.h.

## egl_window

struct wl_egl_window* SDL_WindowData::egl_window

Definition at line 51 of file SDL_waylandwindow.h.

## expected_resize

SDL_bool SDL_WindowData::expected_resize

Definition at line 43 of file SDL_windowswindow.h.

## external_size

SDL_bool SDL_WindowData::external_size

Definition at line 45 of file SDL_emscriptenvideo.h.

## finger_touching

SDL_bool SDL_WindowData::finger_touching

Definition at line 50 of file SDL_emscriptenvideo.h.

## first_finger

SDL_FingerID SDL_WindowData::first_finger

Definition at line 51 of file SDL_emscriptenvideo.h.

## focus_click_pending

Uint8 SDL_WindowData::focus_click_pending

Definition at line 46 of file SDL_windowswindow.h.

## fswindow

Window SDL_WindowData::fswindow

Definition at line 47 of file SDL_x11window.h.

## fullscreen_resize

SDL_bool SDL_WindowData::fullscreen_resize

Definition at line 48 of file SDL_emscriptenvideo.h.

## gc

GC SDL_WindowData::gc

Definition at line 56 of file SDL_x11window.h.

## gles_attributes

EGLint SDL_WindowData::gles_attributes[256]

Definition at line 53 of file SDL_pandora.h.

## gles_config

EGLint SDL_WindowData::gles_config

Definition at line 51 of file SDL_pandora.h.

## gles_configs

EGLConfig SDL_WindowData::gles_configs[32]

Definition at line 50 of file SDL_pandora.h.

## gles_context

EGLContext SDL_WindowData::gles_context

Definition at line 52 of file SDL_pandora.h.

## gles_surface

EGLSurface SDL_WindowData::gles_surface

Definition at line 54 of file SDL_pandora.h.

## gs

struct gbm_surface* SDL_WindowData::gs

Definition at line 62 of file SDL_kmsdrmvideo.h.

## has_pointer_lock

SDL_bool SDL_WindowData::has_pointer_lock

Definition at line 53 of file SDL_emscriptenvideo.h.

## hbm

HBITMAP SDL_WindowData::hbm

Definition at line 38 of file SDL_windowswindow.h.

## hdc

HDC SDL_WindowData::hdc

Definition at line 35 of file SDL_windowswindow.h.

## hinstance

HINSTANCE SDL_WindowData::hinstance

Definition at line 37 of file SDL_windowswindow.h.

## hwnd

HWND SDL_WindowData::hwnd

Definition at line 33 of file SDL_windowswindow.h.

## ic

XIC SDL_WindowData::ic

Definition at line 57 of file SDL_x11window.h.

## in_border_change

SDL_bool SDL_WindowData::in_border_change

Definition at line 44 of file SDL_windowswindow.h.

## in_title_click

SDL_bool SDL_WindowData::in_title_click

Definition at line 45 of file SDL_windowswindow.h.

## in_window_deactivation

SDL_bool SDL_WindowData::in_window_deactivation

Definition at line 48 of file SDL_windowswindow.h.

## initializing

SDL_bool SDL_WindowData::initializing

Definition at line 42 of file SDL_windowswindow.h.

## inWindowMove

SDL_bool SDL_WindowData::inWindowMove

Definition at line 118 of file SDL_cocoawindow.h.

## keyboard_device

struct SDL_WaylandInput* SDL_WindowData::keyboard_device

Definition at line 52 of file SDL_waylandwindow.h.

## last_focus_event_time

Uint32 SDL_WindowData::last_focus_event_time

Definition at line 63 of file SDL_x11window.h.

## last_xconfigure

XConfigureEvent SDL_WindowData::last_xconfigure

Definition at line 66 of file SDL_x11window.h.

## listener

Cocoa_WindowListener* SDL_WindowData::listener

Definition at line 119 of file SDL_cocoawindow.h.

## locked_pointer

struct zwp_locked_pointer_v1* SDL_WindowData::locked_pointer

Definition at line 54 of file SDL_waylandwindow.h.

## mdc

HDC SDL_WindowData::mdc

Definition at line 36 of file SDL_windowswindow.h.

## mouse_button_flags

WPARAM SDL_WindowData::mouse_button_flags

Definition at line 41 of file SDL_windowswindow.h.

## native_window [1/2]

ANativeWindow* SDL_WindowData::native_window

Definition at line 39 of file SDL_androidwindow.h.

## native_window [2/2]

EGLNativeWindowType SDL_WindowData::native_window

Definition at line 61 of file SDL_vivantevideo.h.

## next_bo

struct gbm_bo* SDL_WindowData::next_bo

Definition at line 64 of file SDL_kmsdrmvideo.h.

## nscontexts

NSMutableArray* SDL_WindowData::nscontexts

Definition at line 116 of file SDL_cocoawindow.h.

## nswindow

NSWindow* SDL_WindowData::nswindow

Definition at line 115 of file SDL_cocoawindow.h.

## parent

HWND SDL_WindowData::parent

Definition at line 34 of file SDL_windowswindow.h.

## pending_focus

PendingFocusEnum SDL_WindowData::pending_focus

Definition at line 64 of file SDL_x11window.h.

## pending_focus_time

Uint32 SDL_WindowData::pending_focus_time

Definition at line 65 of file SDL_x11window.h.

## pixel_ratio

float SDL_WindowData::pixel_ratio

Definition at line 43 of file SDL_emscriptenvideo.h.

## requested_fullscreen_mode

int SDL_WindowData::requested_fullscreen_mode

Definition at line 47 of file SDL_emscriptenvideo.h.

## sdlwindow

SDL_Window* SDL_WindowData::sdlwindow

Definition at line 43 of file SDL_waylandwindow.h.

## shell_surface

union { ... } SDL_WindowData::shell_surface

## shminfo

XShmSegmentInfo SDL_WindowData::shminfo

Definition at line 53 of file SDL_x11window.h.

## surface [1/2]

SDL_Surface* SDL_WindowData::surface

Definition at line 41 of file SDL_emscriptenvideo.h.

## surface [2/2]

struct wl_surface* SDL_WindowData::surface

Definition at line 45 of file SDL_waylandwindow.h.

## use_mitshm

SDL_bool SDL_WindowData::use_mitshm

Definition at line 52 of file SDL_x11window.h.

## user_time

unsigned long SDL_WindowData::user_time

Definition at line 68 of file SDL_x11window.h.

## uses_gles

SDL_bool SDL_WindowData::uses_gles

Definition at line 48 of file SDL_pandora.h.

## videodata

struct SDL_VideoData * SDL_WindowData::videodata

Definition at line 120 of file SDL_cocoawindow.h.

## visual

Visual* SDL_WindowData::visual

Definition at line 48 of file SDL_x11window.h.

## vsync_cond

SDL_cond* SDL_WindowData::vsync_cond

Definition at line 53 of file SDL_rpivideo.h.

## vsync_cond_mutex

SDL_mutex* SDL_WindowData::vsync_cond_mutex

Definition at line 54 of file SDL_rpivideo.h.

## waiting_for_flip

SDL_bool SDL_WindowData::waiting_for_flip

Definition at line 65 of file SDL_kmsdrmvideo.h.

## waylandData

SDL_VideoData* SDL_WindowData::waylandData

Definition at line 44 of file SDL_waylandwindow.h.

## window

SDL_Window * SDL_WindowData::window

Definition at line 114 of file SDL_cocoawindow.h.

## windowed_mode_was_maximized

SDL_bool SDL_WindowData::windowed_mode_was_maximized

Definition at line 47 of file SDL_windowswindow.h.

## wl

struct wl_shell_surface* SDL_WindowData::wl

Definition at line 49 of file SDL_waylandwindow.h.

## wndproc

WNDPROC SDL_WindowData::wndproc

Definition at line 39 of file SDL_windowswindow.h.

## xdnd_req

Atom SDL_WindowData::xdnd_req

Definition at line 69 of file SDL_x11window.h.

## xdnd_source

Window SDL_WindowData::xdnd_source

Definition at line 70 of file SDL_x11window.h.

## ximage

XImage* SDL_WindowData::ximage

Definition at line 55 of file SDL_x11window.h.

## xwindow

Window SDL_WindowData::xwindow

Definition at line 46 of file SDL_x11window.h.

## zxdg

SDL_zxdg_shell_surface SDL_WindowData::zxdg

Definition at line 48 of file SDL_waylandwindow.h.

## Property Documentation

## uiwindow

UIWindow* SDL_WindowData::uiwindow

read write nonatomic strong

Definition at line 46 of file SDL_uikitwindow.h.

## viewcontroller

SDL_uikitviewcontroller* SDL_WindowData::viewcontroller

read write nonatomic strong

Definition at line 47 of file SDL_uikitwindow.h.

## views

NSMutableArray* SDL_WindowData::views

read write nonatomic copy

Definition at line 50 of file SDL_uikitwindow.h.

The documentation for this struct was generated from the following files:

- src/video/android/SDL_androidwindow.h
- src/video/cocoa/SDL_cocoawindow.h
- src/video/emscripten/SDL_emscriptenvideo.h
- src/video/kmsdrm/SDL_kmsdrmvideo.h
- src/video/pandora/SDL_pandora.h
- src/video/psp/SDL_pspvideo.h
- src/video/raspberry/SDL_rpivideo.h
- src/video/uikit/SDL_uikitwindow.h
- src/video/vivante/SDL_vivantevideo.h
- src/video/wayland/SDL_waylandwindow.h
- src/video/windows/SDL_windowswindow.h
- src/video/x11/SDL_x11window.h